Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ssaglobal.generator.genctl
Interface AppliesTo

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  AppliesToImpl

    public interface AppliesTo

extends org.eclipse.emf.ecore.EObject

A representation of the model object 'Applies To'. Identifies an EMF model object

The following features are supported:

- `Class Name`
- `Applies To Subclasses`

See Also:
  `GenctlPackage.getAppliesTo()`

Method Summary
`java.lang.Class` | `getAppliesToClass()`
`java.lang.String` | `getClassName()` Returns the value of the 'Class Name' attribute
`boolean` | `isAppliesToSubclasses()` Returns the value of the 'Applies To Subclasses' attribute
`boolean` | `isSetAppliesToSubclasses()` Returns whether the value of the '`Applies To Subclasses`' attribute is set
`void` | `setAppliesToClass(java.lang.Class appliesToClass)`
`void` | `setAppliesToSubclasses(boolean value)` Sets the value of the '`Applies To Subclasses`' attribute
`void` | `setClassName(java.lang.String value)` Sets the value of the '`Class Name`' attribute
`void` | `unsetAppliesToSubclasses()` Unsets the value of the '`Applies To Subclasses`' attribute

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getClassName

    java.lang.String getClassName()

  Returns the value of the 'Class Name' attribute. Fully qualified name of a Java class or interface that a template can process

  Returns:
    the value of the 'Class Name' attribute.
  See Also:
    `setClassName(String)`, `GenctlPackage.getAppliesTo_ClassName()`

### setClassName

    void setClassName(java.lang.String value)

  Sets the value of the '`Class Name`' attribute.

  Parameters:
    `value` - the new value of the 'Class Name' attribute.
  See Also:
    `getClassName()`

### isAppliesToSubclasses

    boolean isAppliesToSubclasses()

  Returns the value of the 'Applies To Subclasses' attribute. Indicates whether subclasses of the class or interface should be processed by the template. Must be true if className identifies an interface.

  Returns:
    the value of the 'Applies To Subclasses' attribute.
  See Also:
    `isSetAppliesToSubclasses()`, `unsetAppliesToSubclasses()`, `setAppliesToSubclasses(boolean)`, `GenctlPackage.getAppliesTo_AppliesToSubclasses()`

### setAppliesToSubclasses

    void setAppliesToSubclasses(boolean value)

  Sets the value of the '`Applies To Subclasses`' attribute.

  Parameters:
    `value` - the new value of the 'Applies To Subclasses' attribute.
  See Also:
    `isSetAppliesToSubclasses()`, `unsetAppliesToSubclasses()`, `isAppliesToSubclasses()`

### unsetAppliesToSubclasses

    void unsetAppliesToSubclasses()

  Unsets the value of the '`Applies To Subclasses`' attribute.

  See Also:
    `isSetAppliesToSubclasses()`, `isAppliesToSubclasses()`, `setAppliesToSubclasses(boolean)`

### isSetAppliesToSubclasses

    boolean isSetAppliesToSubclasses()

  Returns whether the value of the '`Applies To Subclasses`' attribute is set.

  Returns:
    whether the value of the 'Applies To Subclasses' attribute is set.
  See Also:
    `unsetAppliesToSubclasses()`, `isAppliesToSubclasses()`, `setAppliesToSubclasses(boolean)`

### getAppliesToClass

    java.lang.Class getAppliesToClass()

### setAppliesToClass

    void setAppliesToClass(java.lang.Class appliesToClass)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD